# Class PostWeatherChangeAddBattlerTagAttr

#### Hierarchy (view full)

- PostWeatherChangeAbAttr
  - PostWeatherChangeAddBattlerTagAttr

- Defined in src/data/ability.ts:2346

#####
Index

### Constructors

constructor

### Properties

showAbility
tagType
turnCount
weatherTypes

### Methods

addCondition
apply
applyPostWeatherChange
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostWeatherChangeAddBattlerTagAttr(tagType, turnCount, ...weatherTypes): PostWeatherChangeAddBattlerTagAttr

- #### Parameters

  - tagType: BattlerTagType
  - turnCount: number
  - `Rest` ...weatherTypes: WeatherType []

  #### Returns PostWeatherChangeAddBattlerTagAttr

  Overrides PostWeatherChangeAbAttr.constructor

  - Defined in src/data/ability.ts:2351

## Properties

### showAbility

showAbility: boolean

Inherited from PostWeatherChangeAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` tagType

tagType: BattlerTagType

- Defined in src/data/ability.ts:2347

### `Private` turnCount

turnCount: number

- Defined in src/data/ability.ts:2348

### `Private` weatherTypes

weatherTypes: WeatherType []

- Defined in src/data/ability.ts:2349

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostWeatherChangeAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostWeatherChangeAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostWeatherChange

- applyPostWeatherChange(pokemon, passive, weather, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - weather: WeatherType
  - args: any[]

  #### Returns boolean

  Overrides PostWeatherChangeAbAttr.applyPostWeatherChange

  - Defined in src/data/ability.ts:2359

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostWeatherChangeAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostWeatherChangeAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137